package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 科目与商品默认关联表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("subject_goods_mapper")
public class SubjectGoodsMapper extends Model<SubjectGoodsMapper> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("organ_id_")
    private Integer organId;
    @TableField("subject_id_")
    private String subjectId;
    @TableField("goods_category_id_")
    private Integer goodsCategoryId;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 类型(乐器、教辅)
     */
    @TableField("type_")
    private String type;


    public Long getId() {
        return id;
    }

    public SubjectGoodsMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public SubjectGoodsMapper setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public SubjectGoodsMapper setSubjectId(String subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public SubjectGoodsMapper setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SubjectGoodsMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SubjectGoodsMapper setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getType() {
        return type;
    }

    public SubjectGoodsMapper setType(String type) {
        this.type = type;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SubjectGoodsMapper{" +
        ", id=" + id +
        ", organId=" + organId +
        ", subjectId=" + subjectId +
        ", goodsCategoryId=" + goodsCategoryId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", type=" + type +
        "}";
    }
}
